/*
 * Copyright (C) 2009 Emanuel Bombasaro, Christian Koch
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with 
 * this program; if not, look at 
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html or write to the Free 
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 * MA  02110-1301, USA.
 * 
 * Contact address: emanuel.bombasaro@cademia.org, christian.koch@cademia.org
 * Homepage       : http://www.rubeam.cademia.org/
 */

package rubeam.model.loads;

import rubeam.Util;
import Jama.Matrix;

public class NodalMoment extends AbstractNodeLoad {

    private static final long serialVersionUID = 1L;

    private double M;

    public NodalMoment(double M, String name) {
        super(name);
        this.M = M;
    }

    public void setM(double M) {
        this.M = M;
        _fireWasChanged();
    }
    public double getM() {
        return this.M;
    }

    public Matrix getLoadMatrix() {
        // Mi, Vi, Hi
        Matrix m = new Matrix(3, 1, 0);
        m.set(0, 0, M);
        return m;
    }

    public String toString() {
        return "NodalMoment '"+ this.name + "' M=" + Util.format(M);
    }
}
