/*
 * Copyright (C) 2009 Emanuel Bombasaro, Christian Koch
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with 
 * this program; if not, look at 
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html or write to the Free 
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 * MA  02110-1301, USA.
 * 
 * Contact address: emanuel.bombasaro@cademia.org, christian.koch@cademia.org
 * Homepage       : http://www.rubeam.cademia.org/
 */

package rubeam.model.sections;

public class DefaultSection extends LinearGeneralSection {

    private static final long serialVersionUID = 1L;

    public DefaultSection(double Ai, double Ak, double Ii, double E, String name) {
        super(Ai, Ak, Ii, E, name);
    } 
    public void setE(double E) {
        throw new UnsupportedOperationException("Can't set E!");
    }
    public void setName(String name) {
        throw new UnsupportedOperationException("Can't set name!");
    }
    public void setHi(double hi){
        throw new UnsupportedOperationException("Can't set hi!");
    };
    public void setHk(double hk){
        throw new UnsupportedOperationException("Can't set hk!");
    };
    public void setAi(double Ai){
        throw new UnsupportedOperationException("Can't set Ai!");
    };
    public void setAk(double Ak){
        throw new UnsupportedOperationException("Can't set Ak!");
    };
    public void setIi(double Ii){
        throw new UnsupportedOperationException("Can't set Ii!");
    };
    public void setB(double b){
        throw new UnsupportedOperationException("Can't set b!");
    };
    public void setS(double s){
        throw new UnsupportedOperationException("Can't set s!");
    };
    public void setT(double t){
        throw new UnsupportedOperationException("Can't set t!");
    };    
}
