/*
 * Copyright (C) 2009 Emanuel Bombasaro, Christian Koch
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with 
 * this program; if not, look at 
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html or write to the Free 
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 * MA  02110-1301, USA.
 * 
 * Contact address: emanuel.bombasaro@cademia.org, christian.koch@cademia.org
 * Homepage       : http://www.rubeam.cademia.org/
 */

package rubeam.cmds;

import rubeam.RuBeam;
import cib.cad.kernel.Kernel;
import cib.util.cmd.Cmd;
import cib.util.cmd.CmdAbortedException;

public class SetResultSteps implements Cmd {

    private int m_steps; // UNDO data
    
    public void doCmd(Object context) throws CmdAbortedException {
        Kernel krnl = (Kernel) context;
        m_steps = RuBeam.getStructure().getResultSteps();
        int steps = krnl.readInteger("Enter number of result steps", m_steps);
        if (steps < 0)
            steps = 0;
        else if (steps > 100)
            steps = 100;
        RuBeam.getStructure().setResultSteps(steps);
        RuBeam.getInspector().updateResultPanel();
    }
    public void undoCmd(Object context) {
        int steps = RuBeam.getStructure().getResultSteps();
        RuBeam.getStructure().setResultSteps(m_steps);
        RuBeam.getInspector().updateResultPanel();
        m_steps = steps;
    }
    public void redoCmd(Object context) {
        undoCmd(context);
    }
    public boolean changesState() {
        return true;
    }
    public boolean isUndoable() {
        return true;
    }
}
