/*
 * Copyright (C) 2002-2010 Berthold Firmenich
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, look at "http://www.gnu.org/copyleft/gpl.html" or
 * write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 *
 * Contact address: berthold.firmenich@cademia.org
 * Homepage       : http://www.cademia.org/
 */

package cib.util.featureLogic.db.access;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import cib.util.featureLogic.SetDsc;

/**
 * Set descriptor class for Access.
 *
 * @author Berthold Firmenich
 * @version $Revision: 1.5 $, $Author: cvs-cad-firmenic $
 * @version $Date: 2010/01/13 15:05:11 $
 */
public class SetDscAccess implements SetDsc {

    private int m_iSet;
    private List<String> m_sqlCmds = new ArrayList<String>();

    public SetDscAccess(int iSet) {
        m_iSet = iSet;
    }

    public SetDscAccess(int iSet, String sql) {
        m_iSet = iSet;
        m_sqlCmds.add(sql);
    }

    public int getIndex() {
        return m_iSet;
    }
    public Iterator<String> sqlIterator() {
        return m_sqlCmds.iterator();
    }

    public void add(int iSet, String sql) {
        m_iSet = iSet;
        m_sqlCmds.add(sql);
    }

    public void add(int iSet, SetDscAccess setDsc) {
        m_iSet = iSet;
        m_sqlCmds.addAll(setDsc.m_sqlCmds);
    }

    public String toString() {
        int iQuery = 0;
        StringBuffer strBuf = new StringBuffer();
        Iterator it = m_sqlCmds.iterator();
        while (it.hasNext()) {
            strBuf.append(iQuery++ + ": ");
            strBuf.append(it.next());
            strBuf.append('\n');
        }
        strBuf.append("Set number is " + m_iSet);
        return strBuf.toString();
    }
}