/*
 * Copyright (C) 2002-2010 Berthold Firmenich
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, look at "http://www.gnu.org/copyleft/gpl.html" or
 * write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 *
 * Contact address: berthold.firmenich@cademia.org
 * Homepage       : http://www.cademia.org/
 */

package cib.util.featureLogic.db.postgresql;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;

/**
 * @author Torsten Richter
 * @version 22.06.2005
 */
public class EmptyPostgreSQLDatabase {
    private static final String DATABASE_URL = "jdbc:postgresql://141.54.182.8:5432/featurelogic";
    private static final String DATABASE_NAME = "featurelogic";
    private static final String DRIVER = "org.postgresql.Driver";
    private static final String USER = "p_bertie";
    private static final String PASSWORD = "bertie";

    private static Connection s_con;
    private static Statement s_stmt;

    private static void openConnection(){
        try {
            // Load JDBC DRIVER
            Class.forName(DRIVER);
        } catch (ClassNotFoundException e) {
            System.err.println(DRIVER +" not found");
            e.printStackTrace();
        }
        try {
            // Connect to database
            s_con = DriverManager.getConnection(DATABASE_URL, USER, PASSWORD);
            s_stmt = s_con.createStatement();
        } catch (SQLException e1) {
           System.err.println("Could not connect to the url : "+DATABASE_URL);
           e1.printStackTrace();
        }
    }

    public static int update(String sql) {
        openConnection();
        int retValue = -1;
        try {
            retValue = s_stmt.executeUpdate(sql);
        } catch (SQLException e) {
            //e.printStackTrace();
            System.err.println(e.getMessage());
            closeConnection();
        }
        closeConnection();
        return retValue;
    }

    private static void closeConnection(){
        try {
            s_stmt.close();
            s_con.close();
        } catch (SQLException sqle) {
            System.err.println("Could not disconnect from "+ DATABASE_URL);
        }
    }

    private static void emptyDatabase(){
        String sql;
        System.out.print("Clearing all tables of " + DATABASE_NAME + " ... ");
        sql = "DELETE FROM Atom;" +
              "DELETE FROM Domain;" +
              "DELETE FROM Feature;" +
              "DELETE FROM Relslot;";

        update(sql);

        System.out.println("Done.");
    }

    public static void main(String[] args) {
        emptyDatabase();
    }

}
